kas getpassword            AFS Commands         kas getpassword


NAME

   kas getpassword -- display octal key from an Authentication

                       Database entry.


   kas getpassword  -name <name of user>  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   kas getp  -n <name of user>  [-h]

DESCRIPTION

   Prints out the contents (an octal-format encryption key)  of
   the key field for the Database entry name of user.

WARNING

   This  command  works  only  if the Authentication Server has
   been compiled with a special flag;  this  is  normally  done
   only  for cells in the process of converting from use of AFS
   2.0-style  authentication   to   AFS   3.0   authentication.
   Moreover,  this  command  does  not work if issued on an AFS
   client.  The issuer must be logged into  a  machine  running
   the  specially-compiled  Authentication  Server  (a database
   server  machine  or  other  machine  running   an   isolated
   Authentication Server).

   The  recommended  way  to  examine the octal form of keys is
   with kas examine when authorization  checking  is  disabled.
   That  command shows a "checksum" when authorization checking
   is enabled, which may be suitable for some purposes.

   Even when the other conditions are met,  this  command  does
   not work for entries where the name includes a period (these
   entries  are  generally  for  the  Authentication   Server's
   internal use anyway).

ARGUMENTS

   -name names  the  entry  from  which the key field should be
         printed out.

   -help prints the online help  for  this  command.    Do  not
         provide  any  other  arguments or flags with this one.
         See section 4.3  in  the  Reference  Manual  for  more
         details.

OUTPUT

   The  output simply prints the key after a "Key:" header.  It
   does  not  report  the  key  version  number,  but  that  is
   available from kas examine.

EXAMPLE

   The  following  shows  a  user using this command to examine
   afs's password.



       % kas getp afs
       Key: \020\354\315\310\313\023W\370

PRIVILEGE REQUIRED

   None.  There is no prompt for a  password,  and  the  issuer
   does  not  have  to  have  the  ADMIN flag set in his or her
   Database entry.  It is assumed that any machine running  the
   Authentication  Server  is  secured by having only a limited
   number of people in its local /etc/passwd file.

MORE INFORMATION

   kas examine
